<?xml version="1.0" encoding="utf-8"?>
<drag-enhancement-whitelist version="1.1">
    <features>
        <feature name="hwDragDrop" version="1.0" options="">
            <functions>
                <function name="textWhiteList">
                    <enable componentId="com.sohu.newsclient:id/title_text" componentName="androidx.appcompat.widget.AppCompatTextView" activityName="com.sohu.newsclient.quicknews.activity.QuickNewsActivity" package="com.sohu.newsclient" version="" options="1" customize=""/>
                    <enable componentId="com.sohu.newsclient:id/news_text" componentName="androidx.appcompat.widget.AppCompatTextView" activityName="com.sohu.newsclient.quicknews.activity.QuickNewsActivity" package="com.sohu.newsclient" version="" options="1" customize=""/>
                    <enable componentId="com.sohu.newsclient:id/title_text" componentName="android.widget.TextView" activityName="com.sohu.newsclient.quicknews.activity.QuickNewsActivity" package="com.sohu.newsclient" version="" options="1" customize=""/>
                    <enable componentId="com.sohu.newsclient:id/news_text" componentName="android.widget.TextView" activityName="com.sohu.newsclient.quicknews.activity.QuickNewsActivity" package="com.sohu.newsclient" version="" options="1" customize=""/>
                    <enable componentId="com.tencent.mm:id/b4b" componentName="com.tencent.mm.ui.widget.MMNeat7extView" activityName="com.tencent.mm.ui.chatting.ChattingUI" package="com.tencent.mm" version="" options="4" customize=""/>
                    <enable componentId="com.tencent.mm:id/b4b" componentName="com.tencent.mm.ui.widget.MMNeat7extView" activityName="com.tencent.mm.ui.LauncherUI" package="com.tencent.mm" version="" options="4" customize=""/>
                    <enable componentId="com.tencent.mm:id/bkl" componentName="com.tencent.mm.ui.widget.MMNeat7extView" activityName="com.tencent.mm.ui.chatting.ChattingUI" package="com.tencent.mm" version="" options="4" customize=""/>
                    <enable componentId="com.tencent.mm:id/bkl" componentName="com.tencent.mm.ui.widget.MMNeat7extView" activityName="com.tencent.mm.ui.LauncherUI" package="com.tencent.mm" version="" options="4" customize=""/>
                    <enable componentId="" componentName="android.widget.TextView" activityName="com.tencent.mm.ui.chatting.TextPreviewUI" package="com.tencent.mm" version="" options="1" customize=""/>
                    <enable componentId="com.tencent.mm:id/b4b" componentName="com.tencent.mm.ui.widget.MMNeat7extView" activityName="com.tencent.mm.ui.conversation.ConvBoxServiceConversationUI" package="com.tencent.mm" version="" options="4" customize=""/>
                    <enable componentId="com.tencent.mm:id/bkl" componentName="com.tencent.mm.ui.widget.MMNeat7extView" activityName="com.tencent.mm.ui.conversation.ConvBoxServiceConversationUI" package="com.tencent.mm" version="" options="4" customize=""/>
                    <enable componentId="" componentName="com.etrump.mixlayout.ETTextView" activityName="com.tencent.mobileqq.activity.SplashActivity" package="com.tencent.mobileqq" version="" options="2" customize=""/>
                    <enable componentId="" componentName="com.etrump.mixlayout.ETTextView" activityName="com.tencent.mobileqq.activity.ChatActivity" package="com.tencent.mobileqq" version="" options="2" customize=""/>
                    <enable componentId="" componentName="com.tencent.qqnt.aio.widget.AIOMsgTextView" activityName="com.tencent.mobileqq.activity.SplashActivity" package="com.tencent.mobileqq" version="" options="2" customize=""/>
                    <enable componentId="" componentName="com.tencent.qqnt.aio.holder.template.BubbleLayoutCompatPress" activityName="com.tencent.mobileqq.activity.SplashActivity" package="com.tencent.mobileqq" version="" options="2" customize=""/>
                    <enable componentId="" componentName="com.tencent.mobileqq.widget.AnimationTextView" activityName="com.tencent.mobileqq.activity.TextPreviewActivity" package="com.tencent.mobileqq" version="" options="1" customize=""/>
                    <enable componentId="com.kugou.android:id/e52" componentName="android.widget.TextView" activityName="com.kugou.android.app.MediaActivity" package="com.kugou.android" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.tencent.qqmusic.ui.customview.textview.ScrollTextView" activityName="com.tencent.qqmusic.lyricposter.selection.LyricSelectionActivity" package="com.tencent.qqmusic" version="" options="1" customize=""/>
                    <enable componentId="com.tencent.qqmusic:id/gm_" componentName="android.widget.TextView" activityName="com.tencent.qqmusic.lyricposter.selection.LyricSelectionActivity" package="com.tencent.qqmusic" version="" options="1" customize=""/>
                    <enable componentId="com.tencent.qqmusic:id/dj7" componentName="android.widget.TextView" activityName="com.tencent.qqmusic.lyricposter.selection.LyricSelectionActivity" package="com.tencent.qqmusic" version="" options="1" customize=""/>
                    <enable componentId="com.tencent.qqmusic:id/dmz" componentName="android.widget.TextView" activityName="com.tencent.qqmusic.lyricposter.selection.LyricSelectionActivity" package="com.tencent.qqmusic" version="" options="1" customize=""/>
                    <enable componentId="com.tencent.qqmusic:id/dnm" componentName="android.widget.TextView" activityName="com.tencent.qqmusic.lyricposter.selection.LyricSelectionActivity" package="com.tencent.qqmusic" version="" options="1" customize=""/>
                    <enable componentId="com.tencent.qqmusic:id/gyt" componentName="android.widget.TextView" activityName="com.tencent.qqmusic.lyricposter.selection.LyricSelectionActivity" package="com.tencent.qqmusic" version="" options="1" customize=""/>
                    <enable componentId="com.tencent.qqmusic:id/gqm" componentName="android.widget.TextView" activityName="com.tencent.qqmusic.lyricposter.selection.LyricSelectionActivity" package="com.tencent.qqmusic" version="" options="1" customize=""/>
                    <enable componentId="com.tencent.qqmusic:id/dpz" componentName="android.widget.TextView" activityName="com.tencent.qqmusic.lyricposter.selection.LyricSelectionActivity" package="com.tencent.qqmusic" version="" options="1" customize=""/>
                    <enable componentId="com.tencent.qqmusic:id/drf" componentName="android.widget.TextView" activityName="com.tencent.qqmusic.lyricposter.selection.LyricSelectionActivity" package="com.tencent.qqmusic" version="" options="1" customize=""/>
                    <enable componentId="com.tencent.qqmusic:id/dt2" componentName="android.widget.TextView" activityName="com.tencent.qqmusic.lyricposter.selection.LyricSelectionActivity" package="com.tencent.qqmusic" version="" options="1" customize=""/>
                    <enable componentId="" componentName="android.widget.TextView" activityName="com.netease.cloudmusic.music.biz.lyric.LyricShareActivity" package="com.netease.cloudmusic" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.taobao.message.uikit.view.PatchedTextView" activityName="com.taobao.message.activity.ChatActivity" package="com.taobao.taobao" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.taobao.android.dinamicx.view.DXNativeTextView" activityName="com.taobao.message.activity.ChatActivity" package="com.taobao.taobao" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.taobao.android.dinamicx.view.DXNativeFastText" activityName="com.taobao.message.activity.ChatActivity" package="com.taobao.taobao" version="" options="2" customize=""/>
                    <enable componentId="" componentName="com.taobao.message.uikit.view.PatchedTextView" activityName="com.taobao.message.uibiz.chat.marketingmsg.MarketingMessageListActivity" package="com.taobao.taobao" version="" options="1" customize=""/>
                    <enable componentId="com.achievo.vipshop:id/send_msg_text" componentName="android.widget.TextView" activityName="com.achievo.vipshop.vchat.activity.VipVChatActivity" package="com.achievo.vipshop" version="" options="1" customize=""/>
                    <enable componentId="com.achievo.vipshop:id/receive_msg_text" componentName="android.widget.TextView" activityName="com.achievo.vipshop.vchat.activity.VipVChatActivity" package="com.achievo.vipshop" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.vip.lightart.view.MyTextView" activityName="com.achievo.vipshop.vchat.activity.VipVChatActivity" package="com.achievo.vipshop" version="" options="1" customize=""/>
                    <enable componentId="com.tmall.wireless:id/tv_chat_text" componentName="com.taobao.message.uikit.view.PatchedTextView" activityName="com.taobao.message.chat.page.chat.ChatActivity" package="com.tmall.wireless" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.taobao.android.dinamicx.view.DXNativeTextView" activityName="com.taobao.message.chat.page.chat.ChatActivity" package="com.tmall.wireless" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.taobao.android.dinamicx.view.DXNativeFastText" activityName="com.taobao.message.chat.page.chat.ChatActivity" package="com.tmall.wireless" version="" options="2" customize=""/>
                    <enable componentId="" componentName="android.widget.TextView" activityName="com.shizhuang.duapp.libs.customer_service.activity.PoizonCustomerServiceActivity" package="com.shizhuang.duapp" version="" options="1" customize=""/>
                    <enable componentId="com.shizhuang.duapp:id/tv_chat_bubble_staff" componentName="com.shizhuang.duapp.libs.customer_service.widget.DuRichTextView" activityName="com.shizhuang.duapp.libs.customer_service.activity.PoizonCustomerServiceActivity" package="com.shizhuang.duapp" version="" options="1" customize=""/>
                    <enable componentId="com.shizhuang.duapp:id/tv_chat_bubble_user" componentName="com.shizhuang.duapp.libs.customer_service.widget.DuRichTextView" activityName="com.shizhuang.duapp.libs.customer_service.activity.PoizonCustomerServiceActivity" package="com.shizhuang.duapp" version="" options="1" customize=""/>
                    <enable componentId="com.shizhuang.duapp:id/tv_title_text" componentName="androidx.appcompat.widget.AppCompatTextView" activityName="com.shizhuang.duapp.libs.customer_service.activity.PoizonCustomerServiceActivity" package="com.shizhuang.duapp" version="" options="0" customize=""/>
                    <enable componentId="" componentName="androidx.appcompat.widget.AppCompatTextView" activityName="com.shizhuang.duapp.libs.customer_service.activity.PoizonCustomerServiceActivity" package="com.shizhuang.duapp" version="" options="1" customize=""/>
                    <enable componentId="com.shizhuang.duapp:id/tv_chat_bubble_user" componentName="com.shizhuang.duapp.libs.customer_service.widget.DuRichTextView" activityName="com.shizhuang.duapp.libs.customer_service.activity.merchant.MerchantChatActivity" package="com.shizhuang.duapp" version="" options="1" customize=""/>
                    <enable componentId="com.shizhuang.duapp:id/tv_chat_bubble_staff" componentName="com.shizhuang.duapp.libs.customer_service.widget.DuRichTextView" activityName="com.shizhuang.duapp.libs.customer_service.activity.merchant.MerchantChatActivity" package="com.shizhuang.duapp" version="" options="1" customize=""/>
                    <enable componentId="com.shizhuang.duapp:id/tv_chat_bubble_user" componentName="com.shizhuang.duapp.libs.customer_service.widget.DuRichTextView" activityName="com.shizhuang.duapp.libs.customer_service.activity.PlatformCustomerServiceActivity" package="com.shizhuang.duapp" version="" options="1" customize=""/>
                    <enable componentId="com.shizhuang.duapp:id/tv_chat_bubble_staff" componentName="com.shizhuang.duapp.libs.customer_service.widget.DuRichTextView" activityName="com.shizhuang.duapp.libs.customer_service.activity.PlatformCustomerServiceActivity" package="com.shizhuang.duapp" version="" options="1" customize=""/>
                    <enable componentId="com.jd.lib.icssdk.feature:id/dd" componentName="com.jd.lib.icssdk.v2.ui.view.htmltext.HtmlTextView" activityName="com.jd.lib.icssdk.v2.ui.activity.ActivityChattingNew" package="com.jingdong.app.mall" version="" options="2" customize=""/>
                    <enable componentId="com.jd.lib.icssdk.feature:id/kx" componentName="com.jd.lib.icssdk.v2.ui.view.htmltext.HtmlTextView" activityName="com.jd.lib.icssdk.v2.ui.activity.ActivityChattingNew" package="com.jingdong.app.mall" version="" options="2" customize=""/>
                    <enable componentId="com.jd.lib.icssdk.feature:id/ch" componentName="com.jd.lib.icssdk.v2.ui.view.htmltext.HtmlTextView" activityName="com.jd.lib.icssdk.v2.ui.activity.ActivityChattingNew" package="com.jingdong.app.mall" version="" options="2" customize=""/>
                    <enable componentId="com.jd.lib.icssdk.feature:id/dk" componentName="com.jd.lib.icssdk.v2.ui.view.htmltext.HtmlTextView" activityName="com.jd.lib.icssdk.v2.ui.activity.ActivityChattingNew" package="com.jingdong.app.mall" version="" options="2" customize=""/>
                    <enable componentId="com.jd.lib.icssdk.feature:id/ci" componentName="com.jd.lib.icssdk.v2.ui.view.htmltext.HtmlTextView" activityName="com.jd.lib.icssdk.v2.ui.activity.ActivityChattingNew" package="com.jingdong.app.mall" version="" options="2" customize=""/>
                    <enable componentId="com.lianjia.lianjiaim:id/chat_item_detail_content" componentName="android.widget.TextView" activityName="com.lianjia.beike.loader.a.ActivityN1STNTS0" package="com.lianjia.beike" version="" options="1" customize=""/>
                    <enable componentId="com.lianjia.lianjiaim:id/chat_item_detail_left_message" componentName="android.widget.TextView" activityName="com.lianjia.beike.loader.a.ActivityN1STNTS0" package="com.lianjia.beike" version="" options="1" customize=""/>
                    <enable componentId="com.lianjia.lianjiaim:id/chat_item_detail_content" componentName="android.widget.TextView" activityName="com.lianjia.beike.loader.a.ActivityN1STNTS1" package="com.lianjia.beike" version="" options="1" customize=""/>
                    <enable componentId="com.lianjia.lianjiaim:id/chat_item_detail_left_message" componentName="android.widget.TextView" activityName="com.lianjia.beike.loader.a.ActivityN1STNTS1" package="com.lianjia.beike" version="" options="1" customize=""/>
                    <enable componentId="com.lianjia.lianjiaim:id/chat_item_detail_content" componentName="android.widget.TextView" activityName="com.lianjia.beike.loader.a.ActivityN1STNTS2" package="com.lianjia.beike" version="" options="1" customize=""/>
                    <enable componentId="com.lianjia.lianjiaim:id/chat_item_detail_left_message" componentName="android.widget.TextView" activityName="com.lianjia.beike.loader.a.ActivityN1STNTS2" package="com.lianjia.beike" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.baidu.tbadk.widget.TbListTextView" activityName="com.baidu.tieba.pb.pb.main.PbActivity" package="com.baidu.tieba" version="" options="1" customize=""/>
                    <enable componentId="com.jianshu.haruki:id/tv_post_content" componentName="com.baiji.jianshu.common.view.emoji.EmojiCenterAlignTextView" activityName="com.jianshu.wireless.post.activity.PostDetailActivity" package="com.jianshu.haruki" version="" options="1" customize=""/>
                </function>
                <function name="imageWhiteList">
                    <enable componentId="" componentName="com.baidu.searchbox.picture.component.HugePhotoDraweeView" activityName="com.baidu.searchbox.discovery.picture.LightPictureBrowseActivity" package="com.baidu.searchbox" version="" options="5" customize="getAll,self"/>
                    <enable componentId="" componentName="com.baidu.searchbox.picture.component.HugePhotoDraweeView" activityName="com.baidu.searchbox.discovery.picture.LightPictureBrowseActivity" package="com.baidu.browser.apps" version="" options="5" customize="getAll,self"/>
                    <enable componentId="" componentName="com.baidu.searchbox.picture.component.HugePhotoDraweeView" activityName="com.baidu.searchbox.discovery.picture.LightPictureBrowseActivity" package="com.baidu.searchbox.lite" version="" options="5" customize="getAll,self"/>
                    <enable componentId="" componentName="com.sohu.newsclient.widget.imageview.ZoomImageView" activityName="com.sohu.newsclient.photos.activity.PicBrowseActivity" package="com.sohu.newsclient" version="" options="3" customize=""/>
                    <enable componentId="" componentName="com.sohu.ui.sns.view.BigImageView" activityName="com.sohu.newsclient.ppt.activity.SohuPPTActivity" package="com.sohu.newsclient" version="" options="3" customize=""/>
                    <enable componentId="" componentName="com.sohu.newsclient.widget.RoundRectView" activityName="com.sohu.newsclient.quicknews.activity.QuickNewsActivity" package="com.sohu.newsclient" version="" options="3" customize=""/>
                    <enable componentId="" componentName="androidx.appcompat.widget.AppCompatImageView" activityName="com.sohu.newsclient.quicknews.activity.QuickNewsActivity" package="com.sohu.newsclient" version="" options="3" customize=""/>
                    <enable componentId="" componentName="com.sohu.ui.sns.bigpager.DragExitBigImageView" activityName="com.sohu.newsclient.snsfeed.activity.BigPicActivity" package="com.sohu.newsclient" version="" options="3" customize=""/>
                    <enable componentId="" componentName="com.tencent.qqmail.view.imageview.QMGestureImageView" activityName="com.tencent.qqmail.xmailnote.XMailNoteImageActivity" package="com.tencent.androidqqmail" version="" options="1" customize=""/>
                    <enable componentId="" componentName="moai.view.moaiphoto.PhotoView" activityName="com.tencent.qqmail.xmbook.business.article.ArticleImageGalleryActivity" package="com.tencent.androidqqmail" version="" options="3" customize=""/>
                    <enable componentId="" componentName="com.tencent.qqmail.view.photo.QMPhotoView" activityName="com.tencent.qqmail.xmbook.business.article.ArticleImageGalleryActivity" package="com.tencent.androidqqmail" version="" options="3" customize=""/>
                    <enable componentId="" componentName="com.davemorrissey.labs.subscaleview.SubsamplingScaleImageView" activityName="com.netease.mobimail.module.viewattachment.ViewAttachmentActivity" package="com.netease.mobimail" version="" options="5" customize="getAll,self"/>
                    <enable componentId="" componentName="com.davemorrissey.labs.subscaleview.SubsamplingScaleImageView" activityName="com.netease.mobimail.module.mailcompose.MailComposeActivity" package="com.netease.mobimail" version="" options="5" customize="getAll,self"/>
                    <enable componentId="" componentName="cn.wps.moffice.photoviewer.base.view.SubsamplingScaleImageView" activityName="cn.wps.moffice.photoviewer.PhotoViewerActivity" package="cn.wps.moffice_eng" version="" options="5" customize="getAll,self"/>
                    <enable componentId="" componentName="com.davemorrissey.labs.subscaleview.SubsamplingScaleImageView" activityName="com.evernote.ui.gallery.GalleryActivity" package="com.yinxiang" version="" options="5" customize="getAll,self"/>
                    <enable componentId="" componentName="com.yxcorp.gifshow.message.messageslide.content.image.FitSubsamplingScaleImageView" activityName="com.yxcorp.gifshow.detail.PhotoDetailActivity" package="com.smile.gifmaker" version="" options="5" customize="getAll,super"/>
                    <enable componentId="" componentName="com.yxcorp.gifshow.message.messageslide.content.image.FitSubsamplingScaleImageView" activityName="com.yxcorp.gifshow.detail.PhotoDetailActivity" package="com.kuaishou.nebula" version="" options="5" customize="getAll,super"/>
                    <enable componentId="" componentName="com.yxcorp.gifshow.message.messageslide.content.image.FitSubsamplingScaleImageView" activityName="com.yxcorp.gifshow.detail.PhotoDetailActivityTablet" package="com.smile.gifmaker" version="" options="5" customize="getAll,super"/>
                    <enable componentId="" componentName="com.yxcorp.gifshow.message.messageslide.content.image.FitSubsamplingScaleImageView" activityName="com.yxcorp.gifshow.detail.PhotoDetailActivityTablet" package="com.kuaishou.nebula" version="" options="5" customize="getAll,super"/>
                    <enable componentId="" componentName="com.xingin.widgets.XYImageView" activityName="com.xingin.matrix.notedetail.v3.NoteDetailActivityV3" package="com.xingin.xhs" version="" options="5" customize="getDrawee,mDraweeHolder,getBitmap"/>
                    <enable componentId="" componentName="com.xingin.widgets.XYImageView" activityName="com.xingin.alioth.pages.preview.activity.PicAndVideoPreviewPageActivity" package="com.xingin.xhs" version="" options="5" customize="getDrawee,mDraweeHolder,getBitmap"/>
                    <enable componentId="" componentName="com.facebook.react.views.image.ReactImageView" activityName="com.xingin.reactnative.ui.XhsReactActivity" package="com.xingin.xhs" version="" options="10" customize="getDrawee,mDraweeHolder,getBitmap" minWidth="300" minHeight="300"/>
                    <enable componentId="" componentName="com.xingin.android.redutils.photoview.DragPhotoView" activityName="com.xingin.xhs.index.v2.IndexActivityV2" package="com.xingin.xhs" version="" options="10" customize="getDrawee,mDraweeHolder,getBitmap" minWidth="300" minHeight="300"/>
                    <enable componentId="" componentName="com.facebook.drawee.view.SimpleDraweeView" activityName="com.xingin.commercial.goodsdetail.GoodsDetailActivity" package="com.xingin.xhs" version="" options="5" customize="getDrawee,mDraweeHolder,getBitmap"/>
                    <enable componentId="com.xingin.xhs:id/co2" componentName="com.facebook.drawee.view.SimpleDraweeView" activityName="com.xingin.xhs.index.v2.IndexActivityV2" package="com.xingin.xhs" version="" options="5" customize="getDrawee,mDraweeHolder,getBitmap"/>
                    <enable componentId="com.xingin.xhs:id/cpm" componentName="com.facebook.drawee.view.SimpleDraweeView" activityName="com.xingin.xhs.index.v2.IndexActivityV2" package="com.xingin.xhs" version="" options="5" customize="getDrawee,mDraweeHolder,getBitmap"/>
                    <enable componentId="" componentName="android.widget.ImageView" activityName="com.xingin.matrix.notedetail.NoteDetailActivity" package="com.xingin.xhs" version="" options="10" customize=""/>
                    <enable componentId="" componentName="com.xingin.widgets.XYImageView" activityName="com.xingin.matrix.notedetail.NoteDetailActivity" package="com.xingin.xhs" version="" options="5" customize="getDrawee,mDraweeHolder,getBitmap"/>
                    <enable componentId="" componentName="com.xingin.android.redutils.photoview.NoteDetailPhotoView" activityName="com.xingin.matrix.notedetail.NoteDetailActivity" package="com.xingin.xhs" version="" options="5" customize="getDrawee,mDraweeHolder,getBitmap"/>
                    <enable componentId="" componentName="com.zhihu.android.picture.widget.ZHElasticDragDismissImageView" activityName="com.zhihu.android.picture.activity.ImagesViewerActivity" package="com.zhihu.android" version="" options="5" customize="getAll,super"/>
                    <enable componentId="" componentName="com.baidu.tbadk.widget.DragImageView" activityName="com.baidu.tieba.image.ImageViewerActivity" package="com.baidu.tieba" version="" options="3" customize=""/>
                    <enable componentId="" componentName="com.baidu.tbadk.widget.DragImageView" activityName="com.baidu.tieba.immessagecenter.im.chat.PersonalMsgImageActivity" package="com.baidu.tieba" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.alibaba.android.uc.business.browser.view.STPhotoView" activityName="com.alibaba.android.uc.base.navi.window2.Window2Activity" package="cn.xuexi.android" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.tencent.mm.ui.base.MultiTouchImageView" activityName="com.tencent.mm.ui.chatting.gallery.ImageGalleryUI" package="com.tencent.mm" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.tencent.mm.ui.base.MultiTouchImageView" activityName="com.tencent.mm.plugin.sns.ui.SnsBrowseUI" package="com.tencent.mm" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.davemorrissey.labs.subscaleview.view.SubsamplingScaleImageView" activityName="com.tencent.mm.plugin.sns.ui.SnsBrowseUI" package="com.tencent.mm" version="" options="5" customize="getAll,self"/>
                    <enable componentId="" componentName="com.tencent.mm.ui.base.MultiTouchImageView" activityName="com.tencent.mm.plugin.sns.ui.SnsGalleryUI" package="com.tencent.mm" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.davemorrissey.labs.subscaleview.view.SubsamplingScaleImageView" activityName="com.tencent.mm.plugin.sns.ui.SnsGalleryUI" package="com.tencent.mm" version="" options="5" customize="getAll,self"/>
                    <enable componentId="com.tencent.mm:id/o_a" componentName="android.widget.ImageView" activityName="com.tencent.mm.plugin.setting.ui.setting.ColorfulChatroomQRCodeUI" package="com.tencent.mm" version="" options="3" customize=""/>
                    <enable componentId="com.tencent.mm:id/lf1" componentName="android.widget.ImageView" activityName="com.tencent.mm.plugin.setting.ui.setting.ColorfulChatroomQRCodeUI" package="com.tencent.mm" version="" options="3" customize=""/>
                    <enable componentId="com.tencent.mm:id/lew" componentName="android.widget.ImageView" activityName="com.tencent.mm.plugin.setting.ui.setting.ColorfulChatroomQRCodeUI" package="com.tencent.mm" version="" options="3" customize=""/>
                    <enable componentId="com.tencent.mm:id/noy" componentName="android.widget.ImageView" activityName="com.tencent.mm.plugin.setting.ui.setting.ColorfulSelfQRCodeUI" package="com.tencent.mm" version="" options="3" customize=""/>
                    <enable componentId="com.tencent.mm:id/lfg" componentName="android.widget.ImageView" activityName="com.tencent.mm.plugin.setting.ui.setting.ColorfulSelfQRCodeUI" package="com.tencent.mm" version="" options="3" customize=""/>
                    <enable componentId="" componentName="com.davemorrissey.labs.subscaleview.view.SubsamplingScaleImageView" activityName="com.tencent.mm.ui.chatting.gallery.ImageGalleryUI" package="com.tencent.mm" options="5" customize="getAll,self"/>
                    <enable componentId="" componentName="com.tencent.mm.ui.base.MultiTouchImageView" activityName="com.tencent.mm.plugin.subapp.ui.gallery.GestureGalleryUI" package="com.tencent.mm" version="" options="3" customize=""/>
                    <enable componentId="" componentName="com.tencent.richmediabrowser.view.recyclerview.BrowserScaleView" activityName="com.tencent.mobileqq.richmediabrowser.AIOGalleryActivity" package="com.tencent.mobileqq" version="" options="5" customize="getUrlDrawable,getCurrDrawable,getBitmap"/>
                    <enable componentId="" componentName="com.tencent.richframework.widget.matrix.RFWMatrixImageView" activityName="com.tencent.richframework.gallery.QQGalleryActivity" package="com.tencent.mobileqq" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.tencent.richframework.widget.subscaleview.SubsamplingScaleImageView" activityName="com.tencent.richframework.gallery.QQGalleryActivity" package="com.tencent.mobileqq" version="" options="5" customize="getAll,self"/>
                    <enable componentId="" componentName="com.qzone.preview.view.PictureImageView" activityName="com.qzone.reborn.layer.part.QZoneFeedXGalleryActivity" package="com.tencent.mobileqq" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.tencent.richframework.widget.matrix.RFWMatrixImageView" activityName="com.qzone.reborn.layer.part.QZoneFeedXGalleryActivity" package="com.tencent.mobileqq" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.qzone.preview.view.PictureImageView" activityName="com.tencent.mobileqq.activity.ForwardRecentTranslucentActivity" package="com.tencent.mobileqq" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.tencent.richframework.widget.matrix.RFWMatrixImageView" activityName="com.tencent.mobileqq.activity.ForwardRecentTranslucentActivity" package="com.tencent.mobileqq" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.qzone.preview.view.PictureImageView" activityName="com.qzone.preview.QzonePictureViewer" package="com.tencent.mobileqq" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.tencent.image.URLImageView" activityName="com.tencent.mobileqq.troop.activity.TroopAvatarWallPreviewActivity" package="com.tencent.mobileqq" version="" options="5" customize="getUrlDrawable,getCurrDrawable,getBitmap"/>
                    <enable componentId="" componentName="android.widget.ImageView" activityName="com.kugou.android.netmusic.bills.special.superior.ui.SpecialCoverActivity" package="com.kugou.android" version="" options="1" customize=""/>
                    <enable componentId="" componentName="android.widget.ImageView" activityName="com.tencent.qqmusic.activity.ShowImageActivity" package="com.tencent.qqmusic" version="" options="1" customize=""/>
                    <enable componentId="" componentName="android.widget.ImageView" activityName="com.tencent.qqmusic.lyricposter.share.LyricPosterShareActivity" package="com.tencent.qqmusic" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.tencent.qqmusic.ui.dragtouchimageview.DragLargeImageView" activityName="com.tencent.qqmusic.activity.QQMusicGalleryActivity" package="com.tencent.qqmusic" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.netease.cloudmusic.activity.ImageBrowseActivity$m" activityName="com.netease.cloudmusic.activity.ImageBrowseActivity" package="com.netease.cloudmusic" version="" options="5" customize="getRootDrawable,mVisibilityCallback,getController,mDrawable"/>
                    <enable componentId="" componentName="com.taobao.android.AliUrlImageView" activityName="com.taobao.android.detail.wrapper.activity.DetailActivity" package="com.taobao.taobao" version="" options="1" customize="" minWidth="1170" minHeight="1170"/>
                    <enable componentId="" componentName="com.taobao.android.detail.core.standard.widget.ClipableTUrlImageView" activityName="com.taobao.android.detail.wrapper.activity.DetailActivity" package="com.taobao.taobao" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.alibaba.aliweex.adapter.component.AliWXImageView" activityName="com.taobao.android.detail.wrapper.activity.DetailActivity" package="com.taobao.taobao" version="" options="5" customize="getProperty,reference,getBitmap"/>
                    <enable componentId="" componentName="com.taobao.android.detail.mainpic.widget.TouchImageView" activityName="com.taobao.android.detail.wrapper.activity.DetailActivity" package="com.taobao.taobao" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.taobao.android.detail.core.detail.ext.view.widget.base.TouchImageView" activityName="com.taobao.android.detail.wrapper.activity.DetailActivity" package="com.taobao.taobao" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.taobao.message.uibiz.mediaviewer.view.ZoomImageView" activityName="com.taobao.message.chat.interactive.InteractiveDetailActivity" package="com.taobao.taobao" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.achievo.vipshop.commons.ui.fresco.photodraweeview.PhotoDraweeView" activityName="com.achievo.vipshop.productdetail.activity.NewProductDetailImageActivity" package="com.achievo.vipshop" version="" options="5" customize="getRootDrawable,mVisibilityCallback,getController,mDrawable"/>
                    <enable componentId="" componentName="com.achievo.vipshop.commons.ui.fresco.photodraweeview.PhotoDraweeView" activityName="com.achievo.vipshop.productdetail.activity.NewDetailLargeImageActivity" package="com.achievo.vipshop" version="" options="5" customize="getRootDrawable,mVisibilityCallback,getController,mDrawable"/>
                    <enable componentId="" componentName="com.achievo.vipshop.commons.ui.fresco.photodraweeview.PhotoDraweeView" activityName="com.achievo.vipshop.productdetail.activity.ProductDetailActivity" package="com.achievo.vipshop" version="" options="5" customize="getRootDrawable,mVisibilityCallback,getController,mDrawable"/>
                    <enable componentId="" componentName="com.achievo.vipshop.commons.ui.fresco.photodraweeview.PhotoDraweeView" activityName="com.achievo.vipshop.userorder.activity.RepairPicPreviewActivity" package="com.achievo.vipshop" version="" options="5" customize="getRootDrawable,mVisibilityCallback,getController,mDrawable"/>
                    <enable componentId="com.achievo.vipshop:id/image" componentName="com.achievo.vipshop.commons.ui.commonview.VipImageView" activityName="com.achievo.vipshop.productdetail.activity.ProductDetailActivity" package="com.achievo.vipshop" version="" options="0" customize="getRootDrawable,mVisibilityCallback,getController,mDrawable"/>
                    <enable componentId="" componentName="com.achievo.vipshop.commons.ui.commonview.VipImageView" activityName="com.achievo.vipshop.productdetail.activity.ProductDetailActivity" package="com.achievo.vipshop" version="" options="5" customize="getRootDrawable,mVisibilityCallback,getController,mDrawable"/>
                    <enable componentId="com.tmall.wireless:id/taodetail_gallery_image" componentName="com.taobao.android.detail.datasdk.protocol.image.DetailImageView" activityName="com.tmall.wireless.xdetail.activity.TMXDetailActivity" package="com.tmall.wireless" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.tmall.wireless.newdetail2.gallery.close.SlideImageView" activityName="com.tmall.wireless.xdetail.activity.TMXDetailActivity" package="com.tmall.wireless" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.taobao.message.uibiz.mediaviewer.view.ZoomImageView" activityName="com.taobao.message.chat.interactive.InteractiveDetailActivity" package="com.tmall.wireless" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.tmall.wireless.detail.widget.photoview.PhotoView" activityName="com.tmall.wireless.xdetail.activity.TMXDetailActivity" package="com.tmall.wireless" version="" options="1" customize=""/>
                    <enable componentId="com.shizhuang.duapp:id/ivFocusImage" componentName="com.shizhuang.duapp.libs.duimageloaderview.DuImageLoaderView" activityName="com.shizhuang.duapp.modules.product_detail.detailv3.ui.ProductDetailActivityV3" package="com.shizhuang.duapp" version="" options="5" customize="getRootDrawable,mVisibilityCallback,getController,mDrawable"/>
                    <enable componentId="" componentName="com.shizhuang.duapp.libs.duimageloaderview.DuImageLoaderView" activityName="com.shizhuang.duapp.modules.product_detail.detailv3.ui.ProductDetailActivityV3" package="com.shizhuang.duapp" version="" options="5" customize="getRootDrawable,mVisibilityCallback,getController,mDrawable" minWidth="1080" minHeight="1080"/>
                    <enable componentId="com.shizhuang.duapp:id/ivFocusImage" componentName="com.shizhuang.duapp.libs.duimageloaderview.DuImageLoaderView" activityName="com.shizhuang.duapp.modules.product_detail.detailv4.ui.ProductDetailActivityV4" package="com.shizhuang.duapp" version="" options="5" customize="getRootDrawable,mVisibilityCallback,getController,mDrawable"/>
                    <enable componentId="" componentName="com.shizhuang.duapp.libs.duimageloaderview.DuImageLoaderView" activityName="com.shizhuang.duapp.modules.product_detail.detailv4.ui.ProductDetailActivityV4" package="com.shizhuang.duapp" version="" options="5" customize="getRootDrawable,mVisibilityCallback,getController,mDrawable" minWidth="1080" minHeight="1080"/>
                    <enable componentId="" componentName="com.davemorrissey.labs.subscaleview.SubsamplingScaleImageView" activityName="com.shizhuang.duapp.photoviewer.v2.PhotoActivityV2" package="com.shizhuang.duapp" version="" options="5" customize="getAll,self"/>
                    <enable componentId="" componentName="com.davemorrissey.labs.subscaleview.SubsamplingScaleImageView" activityName="com.shizhuang.duapp.photoviewer.PhotoActivity" package="com.shizhuang.duapp" version="" options="5" customize="getAll,self"/>
                    <enable componentId="" componentName="com.davemorrissey.labs.subscaleview.SubsamplingScaleImageView" activityName="com.shizhuang.duapp.modules.product_detail.detailv3.ui.ProductDetailActivityV3" package="com.shizhuang.duapp" version="" options="5" customize="getAll,self"/>
                    <enable componentId="" componentName="com.davemorrissey.labs.subscaleview.SubsamplingScaleImageView" activityName="com.shizhuang.duapp.libs.customer_service.activity.PlatformCustomerServiceActivity" package="com.shizhuang.duapp" version="" options="5" customize="getAll,self"/>
                    <enable componentId="com.shizhuang.duapp:id/iv_picture" componentName="com.davemorrissey.labs.subscaleview.SubsamplingScaleImageView" activityName="com.shizhuang.duapp.modules.product_detail.detailv4.ui.ProductDetailActivityV4" package="com.shizhuang.duapp" version="" options="5" customize="getAll,self"/>
                    <enable componentId="com.shizhuang.duapp:id/pvPhotoView" componentName="com.davemorrissey.labs.subscaleview.SubsamplingScaleImageView" activityName="com.shizhuang.duapp.modules.product_detail.detailv4.ui.ProductDetailActivityV4" package="com.shizhuang.duapp" version="" options="5" customize="getAll,self"/>
                    <enable componentId="" componentName="com.shizhuang.duapp.libs.customer_service.imageloader.CSBigImageView" activityName="com.shizhuang.duapp.libs.customer_service.activity.ImagePreviewActivity" package="com.shizhuang.duapp" version="" options="5" customize="getRootDrawable,mVisibilityCallback,getController,mDrawable"/>
                    <enable componentId="com.jingdong.app.mall:id/dam" componentName="com.facebook.drawee.view.SimpleDraweeView" activityName="com.jd.lib.productdetail.ProductDetailActivity" package="com.jingdong.app.mall" version="" options="1" customize="" />
                    <enable componentId="com.jingdong.app.mall:id/dap" componentName="com.facebook.drawee.view.SimpleDraweeView" activityName="com.jd.lib.productdetail.ProductDetailActivity" package="com.jingdong.app.mall" version="" options="1" customize="" />
                    <enable componentId="com.jingdong.app.mall:id/dan" componentName="com.facebook.drawee.view.SimpleDraweeView" activityName="com.jd.lib.productdetail.ProductDetailActivity" package="com.jingdong.app.mall" version="" options="1" customize="" />
                    <enable componentId="com.jingdong.app.mall:id/dao" componentName="com.facebook.drawee.view.SimpleDraweeView" activityName="com.jd.lib.productdetail.ProductDetailActivity" package="com.jingdong.app.mall" version="" options="1" customize="" />
                    <enable componentId="com.jingdong.app.mall:id/dav" componentName="com.facebook.drawee.view.SimpleDraweeView" activityName="com.jd.lib.productdetail.ProductDetailActivity" package="com.jingdong.app.mall" version="" options="1" customize="" />
                    <enable componentId="" componentName="com.jd.lib.productdetail.mainimage.utils.PdMCooTouchImageView" activityName="com.jd.lib.productdetail.mainimage.bigimage.PdBigImageActivity" package="com.jingdong.app.mall" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.jingdong.common.widget.image.SimpleTouchImageView" activityName="com.jd.lib.icssdk.v2.ui.activity.ChatImagePreviewActivity" package="com.jingdong.app.mall" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.jd.lib.productdetail.view.CooTouchImageView" activityName="com.jd.lib.productdetail.ProductDetailActivity" package="com.jingdong.app.mall" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.homelink.android.newhouse.libcore.ui.photoview.PhotoView" activityName="" package="com.lianjia.beike" version="" options="1" customize=""/>
                    <enable componentId="com.lianjia.plugin.sharedbiz:id/iv_pic" componentName="android.widget.ImageView" activityName="" package="com.lianjia.beike" version="" options="1" customize=""/>
                    <enable componentId="com.homelink.android.newhouse:id/iv_head_banner_img_com" componentName="android.widget.ImageView" activityName="" package="com.lianjia.beike" version="" options="1" customize=""/>
                    <enable componentId="com.lianjia.beike:id/img" componentName="androidx.appcompat.widget.AppCompatImageView" activityName="" package="com.lianjia.beike" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.bk.uilib.view.photo.PhotoView" activityName="" package="com.lianjia.beike" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.lianjia.sdk.chatui.view.subscaleview.SubsamplingScaleImageView" activityName="" package="com.lianjia.beike" version="" options="5" customize="getAll,self"/>
                    <enable componentId="" componentName="com.ke.jzcore.core.widget.photoview.PhotoView" activityName="com.lianjia.jinggong.sdk.activity.picture.imgdetail.ImgDetailActivity" package="com.lianjia.beike" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.ke.jzcore.core.widget.photoview.PhotoView" activityName="com.lianjia.jinggong.sdk.activity.picture.imgdetail.picwall.PicWallDetailActivity" package="com.lianjia.beike" version="" options="1" customize=""/>
                    <enable componentId="com.baidu.tieba:id/obfuscated" componentName="com.baidu.tbadk.widget.ForeDrawableImageView" activityName="com.baidu.tieba.pb.pb.main.PbActivity" package="com.baidu.tieba" version="" options="0" customize=""/>
                    <enable componentId="" componentName="com.baidu.tbadk.widget.ForeDrawableImageView" activityName="com.baidu.tieba.pb.pb.main.PbActivity" package="com.baidu.tieba" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.facebook.react.views.image.ReactImageView" activityName="com.mqunar.atom.hotel.home.HomeActivity" package="com.Qunar" version="" options="0" customize="" minWidth="950" minHeight="1200"/>
                    <enable componentId="" componentName="com.facebook.react.views.image.ReactImageView" activityName="com.mqunar.atom.alexhome.ui.activity.MainActivity" package="com.Qunar" version="" options="0" customize="" minWidth="950" minHeight="1200"/>
                    <enable componentId="" componentName="com.facebook.react.views.image.ReactImageView" activityName="" package="com.Qunar" version="" options="5" customize="getRootDrawable,mVisibilityCallback,getController,mDrawable" minWidth="950" minHeight="1200"/>
                    <enable componentId="" componentName="com.mqunar.qimsdk.views.image.zoom.ZoomableView" activityName="" package="com.Qunar" version="" options="5" customize="getRootDrawable,mVisibilityCallback,getController,mDrawable" minWidth="950" minHeight="1200"/>
                    <enable componentId="" componentName="com.mqunar.atom.hotel.view.zoomable.ZoomableDraweeView" activityName="" package="com.Qunar" version="" options="5" customize="getRootDrawable,mVisibilityCallback,getController,mDrawable" minWidth="950" minHeight="1200"/>
                    <enable componentId="com.hupu.games:id/hd_view" componentName="com.hupu.comp_basic_picture_preview.core.HpPictureNormalView" activityName="com.hupu.comp_basic_picture_preview.core.HpPictureActivity" package="com.hupu.games" version="" options="5" customize="getAll,super"/>
                    <enable componentId="com.hupu.games:id/hd_view" componentName="com.hupu.comp_basic_picture_preview.core.HpPictureNormalView" activityName="com.hupu.android.bbs.picture.BBSPictureViewActivity" package="com.hupu.games" version="" options="5" customize="getAll,super"/>
                    <enable componentId="com.douban.frodo:id/image_view" componentName="com.douban.frodo.baseproject.view.FrodoPhotoView" activityName="com.douban.frodo.baseproject.image.ImageActivity" package="com.douban.frodo" version="" options="1" customize=""/>
                    <enable componentId="com.douban.frodo:id/raw_image_view" componentName="com.shizhefei.view.largeimage.LargeImageView" activityName="com.douban.frodo.baseproject.image.ImageActivity" package="com.douban.frodo" version="" options="1" customize=""/>
                    <enable componentId="com.jianshu.haruki:id/photoview" componentName="com.baiji.jianshu.common.widget.PinchImageView.PinchImageView" activityName="com.jianshu.wireless.articleV2.preview.ArticleImagePreviewActivity" package="com.jianshu.haruki" version="" options="5" customize="getGlide,self"/>
                    <enable componentId="" componentName="com.tencent.qqmail.view.photo.QMPhotoView" activityName="com.tencent.qqmail.xmailnote.XMailNoteInlineImageActivity" package="com.tencent.androidqqmail" version="" options="1" customize="" />
                </function>
                <function name="webViewWhiteList">
                    <enable componentId="" componentName="com.sohu.news.jskit.webview.JsKitWebViewInternal" activityName="com.sohu.newsclient.newsviewer.activity.NewWebViewActivity" package="com.sohu.newsclient" version="" options="1" customize="" />
                    <enable componentId="" componentName="com.sohu.news.jskit.webview.JsKitWebViewInternal" activityName="com.sohu.newsclient.newsviewer.activity.ArticleDetailActivity" package="com.sohu.newsclient" version="" options="1" customize="" />
                    <enable componentId="" componentName="com.sohu.news.jskit.webview.JsKitWebViewInternal" activityName="com.sohu.newsclient.sohuevent.activity.SohuEventReadingActivity" package="com.sohu.newsclient" version="" options="1" customize="" />
                    <enable componentId="" componentName="com.tencent.qqmail.view.JBTitleBarWebView2" activityName="com.tencent.qqmail.activity.readmail.ReadMailActivity" package="com.tencent.androidqqmail" version="" options="1" customize="" />
                    <enable componentId="" componentName="com.tencent.qqmail.activity.compose.richeditor.XMailNoteRichEditor" activityName="com.tencent.qqmail.xmailnote.XMailNoteActivity" package="com.tencent.androidqqmail" version="" options="1" customize="" />
                    <enable componentId="com.tencent.androidqqmail:id/webview" componentName="com.tencent.qqmail.xmbook.business.common.widget.XMBookWebView" activityName="com.tencent.qqmail.xmbook.business.article.ArticleActivity" package="com.tencent.androidqqmail" version="" options="1" customize="" />
                    <enable componentId="com.tencent.androidqqmail:id/doc_webview" componentName="com.tencent.qqmail.wedoc.widget.DocPreviewWebView" activityName="com.tencent.qqmail.wedoc.view.WeDocPreviewActivity" package="com.tencent.androidqqmail" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.netease.fkwebviewlib.FKWebView" activityName="com.netease.mobimail.module.conversation.ConversationActivity" package="com.netease.mobimail" version="" options="1" customize=""/>
                    <enable componentId="com.netease.mobimail:id/mailread_webview" componentName="com.netease.mobimail.module.conversation.widget.ConversationMailWebView" activityName="com.netease.mobimail.module.conversation.ConversationActivity" package="com.netease.mobimail" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.zhihu.android.app.mercury.web.WebViewS" activityName="com.zhihu.android.mixshortcontainer.MixShortContainerActivity" package="com.zhihu.android" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.evernote.note.composer.richtext.ce.CeWebView" activityName="com.evernote.note.composer.NoteActivity" package="com.yinxiang" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.system.WebViewImpl" activityName="com.baidu.searchbox.feed.news.FeedDetailActivity" package="com.baidu.searchbox.lite" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.system.WebViewImpl" activityName="com.baidu.searchbox.feed.news.FeedDetailActivity" package="com.baidu.searchbox" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.system.WebViewImpl" activityName="com.baidu.searchbox.feed.news.FeedDetailActivity" package="com.baidu.browser.apps" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.system.WebViewImpl" activityName="com.baidu.searchbox.xsearch.UserSubscribeCenterActivity" package="com.baidu.searchbox.lite" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.system.WebViewImpl" activityName="com.baidu.searchbox.xsearch.UserSubscribeCenterActivity" package="com.baidu.searchbox" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.system.WebViewImpl" activityName="com.baidu.searchbox.xsearch.UserSubscribeCenterActivity" package="com.baidu.browser.apps" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.system.WebViewImpl" activityName="com.baidu.browser.search.LightSearchActivity" package="com.baidu.searchbox.lite" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.system.WebViewImpl" activityName="com.baidu.browser.search.LightSearchActivity" package="com.baidu.searchbox" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.system.WebViewImpl" activityName="com.baidu.browser.search.LightSearchActivity" package="com.baidu.browser.apps" version="" options="1" customize=""/>
                    <enable componentId="" componentName="" activityName="com.tencent.mm.plugin.brandservice.ui.timeline.BizTimeLineUI" package="com.tencent.mm" version="" options="1" customize=""/>
                    <enable componentId="" componentName="" activityName="com.tencent.mm.plugin.brandservice.ui.timeline.preload.ui.TmplWebViewMMUI" package="com.tencent.mm" version="" options="1" customize=""/>
                    <enable componentId="" componentName="" activityName="com.tencent.mm.plugin.webview.ui.tools.MMWebViewUI" package="com.tencent.mm" version="" options="1" customize=""/>
                    <enable componentId="com.lianjia.beike:id/lib_cwb_webview" componentName="com.lianjia.common.browser.ScrollWebView" activityName="com.homelink.android.webview.activity.JsBridgeWebViewActivity" package="com.lianjia.beike" version="" options="1" customize=""/>
                    <enable componentId="com.jianshu.haruki:id/x5_article_detailWebview" componentName="com.jianshu.wireless.articleV2.view.DetailWebView" activityName="com.jianshu.wireless.articleV2.X5ArticleDetailActivity" package="com.jianshu.haruki" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.douban.rexxar.view.RexxarWebViewCore" activityName="com.douban.frodo.subject.activity.ForumTopicActivity" package="com.douban.frodo" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.douban.rexxar.view.RexxarWebViewCore" activityName="com.douban.frodo.subject.activity.ReviewActivity" package="com.douban.frodo" version="" options="1" customize=""/>
                    <enable componentId="com.douban.frodo:id/content_webview" componentName="com.douban.frodo.baseproject.view.ContentWebView" activityName="com.douban.frodo.subject.structure.activity.EventActivity" package="com.douban.frodo" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.douban.rexxar.view.RexxarWebViewCore" activityName="com.douban.frodo.group.activity.GroupTopicActivity" package="com.douban.frodo" version="" options="1" customize=""/>
                    <enable componentId="" componentName="com.douban.frodo.baseproject.view.UriWebView" activityName="com.douban.frodo.baseproject.activity.WebActivity" package="com.douban.frodo" version="" options="1" customize=""/>
                </function>
                <function name="customizeWebViewWhiteList">
                    <enable componentId="" componentName="com.baidu.webkit.sdk.WebView" activityName="com.baidu.searchbox.feed.news.FeedDetailActivity" package="com.baidu.searchbox.lite" version="" options="2" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.WebView" activityName="com.baidu.searchbox.feed.news.FeedDetailActivity" package="com.baidu.searchbox" version="" options="3" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.WebView" activityName="com.baidu.searchbox.feed.news.FeedDetailActivity" package="com.baidu.browser.apps" version="" options="2" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.WebView" activityName="com.baidu.searchbox.xsearch.UserSubscribeCenterActivity" package="com.baidu.searchbox.lite" version="" options="2" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.WebView" activityName="com.baidu.searchbox.xsearch.UserSubscribeCenterActivity" package="com.baidu.searchbox" version="" options="3" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.WebView" activityName="com.baidu.searchbox.xsearch.UserSubscribeCenterActivity" package="com.baidu.browser.apps" version="" options="2" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.WebView" activityName="com.baidu.browser.search.LightSearchActivity" package="com.baidu.searchbox.lite" version="" options="2" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.WebView" activityName="com.baidu.browser.search.LightSearchActivity" package="com.baidu.searchbox" version="" options="3" customize=""/>
                    <enable componentId="" componentName="com.baidu.webkit.sdk.WebView" activityName="com.baidu.browser.search.LightSearchActivity" package="com.baidu.browser.apps" version="" options="2" customize=""/>
                    <enable componentId="" componentName="com.tencent.xweb.pinus.PinusWebView$CustomPsWeb" activityName="com.tencent.mm.plugin.brandservice.ui.timeline.BizTimeLineUI" package="com.tencent.mm" version="" options="3" customize=""/>
                    <enable componentId="" componentName="com.tencent.xweb.pinus.PinusWebView$CustomPsWeb" activityName="com.tencent.mm.plugin.brandservice.ui.timeline.preload.ui.TmplWebViewMMUI" package="com.tencent.mm" version="" options="3" customize=""/>
                    <enable componentId="" componentName="com.tencent.xweb.pinus.PinusWebView$CustomPsWeb" activityName="com.tencent.mm.plugin.webview.ui.tools.MMWebViewUI" package="com.tencent.mm" version="" options="3" customize=""/>
                </function>
                <function name="parameter">
                    <enable name="imageViewMinSize" value="230" decription="控件最小尺寸" options="1"/>
                    <enable name="imageViewMinWidth" value="170" decription="控件最小宽" options="1"/>
                    <enable name="imageViewMinHeight" value="170" decription="控件最小高" options="1"/>
                    <enable name="imageMaxProportion" value="4.0" decription="图片最大宽高比" options="1"/>
                    <enable name="imageMaxSize" value="31457280" decription="图片最大大小" options="1"/>
                </function>
            </functions>
        </feature>
    </features>
</drag-enhancement-whitelist>
